package com.yeejoin.amos.boot.module.tdc.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.amos.boot.module.tdc.api.dto.CheckResultDto;
import com.yeejoin.amos.boot.module.tdc.api.dto.ModelTreeDto;
import com.yeejoin.amos.boot.module.tdc.api.entity.CheckResult;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public interface CheckResultService extends IService<CheckResult> {


    IPage<CheckResultDto> selectResult(int current,int size,String code);

    List<CheckResult> selectCheckResult(String modelId,String amosOrgCode);

    List<CheckResultDto> selectTotal(String modelId, String amosOrgCode);

    List<ModelTreeDto> test();

    ModelTreeDto treeTwo(String tableId);

    List<CheckResultDto> selectStatistion(String batchNo,String amosOrgCode);

    List<CheckResultDto> selectDetails(String batchNo,Integer modelId);

    String select(String amosOrgCode);




}
